package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Etg;
import com.brilliance.isc.bo.Pty;
import com.brilliance.isc.bo.Trn;
import com.brilliance.isc.bo.Trntxt;
import com.brilliance.isc.vo.manager.PtyManageVo;
import com.brilliance.isc.vo.manager.PtyTVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TrntxtMapper {

    int insert(Trntxt record);

    int insertSelective(Trntxt record);

    int updateByPrimaryKeySelective(Trntxt record);

    int updateByPrimaryKey(Trntxt record);

    int deleteByPrimaryKey(Trntxt record);

    int deleteByIds(Collection<Object> collection);

    Trntxt selectByPrimaryKey(Trntxt record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Trntxt> dyncRead(Map<String,Object> dyncMap);

    Trntxt selectByTrninr(@Param("trninr") String trninr);

    Trntxt selectByTrninrAndRw02txt(@Param("trninr") String trninr, @Param("rw02txt") String rw02txt);

}